﻿
'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Option Strict On
Option Explicit On

Imports __ExpenseHeader = LightSwitchApplication.ExpenseHeader

Namespace LightSwitchApplication

    #Region "Entities"
    
    ''' <summary>
    ''' No Modeled Description Available
    ''' </summary>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    Public NotInheritable Partial Class ExpenseHeader
        Inherits Global.Microsoft.LightSwitch.Framework.Base.EntityObject(Of __ExpenseHeader, __ExpenseHeader.DetailsClass)
    
        #Region "Constructors"
    
        ''' <summary>
        ''' Initializes a new instance of the ExpenseHeader entity.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New()
            Me.New(Nothing)
        End Sub
    
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New(entitySet As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __ExpenseHeader))
            MyBase.New(entitySet)
            
            __ExpenseHeader.DetailsClass.Initialize(Me)
        End Sub
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ExpenseHeader_Created()
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ExpenseHeader_AllowSaveWithErrors(ByRef result As Boolean)
        End Sub
    
        #End Region
    
        #Region "Private Properties"
        
        ''' <summary>
        ''' Gets the Application object for this application.  The Application object provides access to active screens, methods to open screens and access to the current user.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property Application As Global.Microsoft.LightSwitch.IApplication(Of Global.LightSwitchApplication.DataWorkspace)
            Get
                Return Global.LightSwitchApplication.Application.Current
            End Get
        End Property
        
        ''' <summary>
        ''' Gets the containing data workspace.  The data workspace provides access to all data sources in the application.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property DataWorkspace As Global.LightSwitchApplication.DataWorkspace
            Get
                Return DirectCast(Me.Details.EntitySet.Details.DataService.Details.DataWorkspace, Global.LightSwitchApplication.DataWorkspace)
            End Get
        End Property
        
        #End Region
    
        #Region "Public Properties"
    
        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Id As Integer
            Get
                Return __ExpenseHeader.DetailsClass.GetValue(Me, __ExpenseHeader.DetailsClass.PropertySetProperties.Id)
            End Get
            Set
                __ExpenseHeader.DetailsClass.SetValue(Me, __ExpenseHeader.DetailsClass.PropertySetProperties.Id, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property RowVersion As Byte()
            Get
                Return __ExpenseHeader.DetailsClass.GetValue(Me, __ExpenseHeader.DetailsClass.PropertySetProperties.RowVersion)
            End Get
            Set
                __ExpenseHeader.DetailsClass.SetValue(Me, __ExpenseHeader.DetailsClass.PropertySetProperties.RowVersion, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property ExpenseDate As String
            Get
                Return __ExpenseHeader.DetailsClass.GetValue(Me, __ExpenseHeader.DetailsClass.PropertySetProperties.ExpenseDate)
            End Get
            Set
                __ExpenseHeader.DetailsClass.SetValue(Me, __ExpenseHeader.DetailsClass.PropertySetProperties.ExpenseDate, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ExpenseDate_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ExpenseDate_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ExpenseDate_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property ExpensesTotal As Decimal
            Get
                Return __ExpenseHeader.DetailsClass.GetValue(Me, __ExpenseHeader.DetailsClass.PropertySetProperties.ExpensesTotal)
            End Get
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ExpensesTotal_Compute(ByRef result As Decimal)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ExpensesTotal_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property ExpenseDetails As Global.Microsoft.LightSwitch.Framework.EntityCollection(Of Global.LightSwitchApplication.ExpenseDetail)
            Get
                Return __ExpenseHeader.DetailsClass.GetValue(Me, __ExpenseHeader.DetailsClass.PropertySetProperties.ExpenseDetails)
            End Get
        End Property
        
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property ExpenseDetailsQuery As Microsoft.LightSwitch.IDataServiceQueryable(Of Global.LightSwitchApplication.ExpenseDetail)
            Get
                Return __ExpenseHeader.DetailsClass.GetQuery(Me, __ExpenseHeader.DetailsClass.PropertySetProperties.ExpenseDetails)
            End Get
        End Property

        #End Region
    
        #Region "Details Class"
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
        <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public NotInheritable Class DetailsClass
            Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of _
                __ExpenseHeader, _
                __ExpenseHeader.DetailsClass, _
                __ExpenseHeader.DetailsClass.IImplementation, _
                __ExpenseHeader.DetailsClass.PropertySet, _
                Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __ExpenseHeader, __ExpenseHeader.DetailsClass), _
                Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __ExpenseHeader, __ExpenseHeader.DetailsClass))
    
            Shared Sub New()
                Dim initializeEntry = __ExpenseHeader.DetailsClass.PropertySetProperties.Id
            End Sub
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private Shared ReadOnly __ExpenseHeaderEntry As Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __ExpenseHeader, __ExpenseHeader.DetailsClass).Entry = _
                New Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __ExpenseHeader, __ExpenseHeader.DetailsClass).Entry( _
                    AddressOf __ExpenseHeader.DetailsClass.__ExpenseHeader_CreateNew, _
                    AddressOf __ExpenseHeader.DetailsClass.__ExpenseHeader_Created, _
                    AddressOf __ExpenseHeader.DetailsClass.__ExpenseHeader_AllowSaveWithErrors)
            Private Shared Function __ExpenseHeader_CreateNew(es As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __ExpenseHeader)) As __ExpenseHeader
                Return New __ExpenseHeader(es)
            End Function
            Private Shared Sub __ExpenseHeader_Created(e As __ExpenseHeader)
                e.ExpenseHeader_Created()
            End Sub
            Private Shared Function __ExpenseHeader_AllowSaveWithErrors(e As __ExpenseHeader) As Boolean
                Dim result As Boolean = False
                e.ExpenseHeader_AllowSaveWithErrors(result)
                Return result
            End Function
    
            Public Sub New()
                MyBase.New()
            End Sub
    
            Public ReadOnly Shadows Property Commands As Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __ExpenseHeader, __ExpenseHeader.DetailsClass)
                Get
                    Return MyBase.Commands
                End Get
            End Property
    
            Public ReadOnly Shadows Property Methods As Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __ExpenseHeader, __ExpenseHeader.DetailsClass)
                Get
                    Return MyBase.Methods
                End Get
            End Property
    
            Public ReadOnly Shadows Property Properties As __ExpenseHeader.DetailsClass.PropertySet
                Get
                    Return MyBase.Properties
                End Get
            End Property
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Public NotInheritable Class PropertySet
                Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityPropertySet(Of __ExpenseHeader, __ExpenseHeader.DetailsClass)
    
                Public Sub New()
                    MyBase.New()
                End Sub
    
                Public ReadOnly Property Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseHeader, __ExpenseHeader.DetailsClass, Integer)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__ExpenseHeader.DetailsClass.PropertySetProperties.Id),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseHeader, __ExpenseHeader.DetailsClass, Integer))
                    End Get
                End Property
                
                Public ReadOnly Property RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseHeader, __ExpenseHeader.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__ExpenseHeader.DetailsClass.PropertySetProperties.RowVersion),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseHeader, __ExpenseHeader.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property ExpenseDate As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseHeader, __ExpenseHeader.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__ExpenseHeader.DetailsClass.PropertySetProperties.ExpenseDate),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseHeader, __ExpenseHeader.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property ExpensesTotal As Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __ExpenseHeader, __ExpenseHeader.DetailsClass, Decimal)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__ExpenseHeader.DetailsClass.PropertySetProperties.ExpensesTotal),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __ExpenseHeader, __ExpenseHeader.DetailsClass, Decimal))
                    End Get
                End Property
                
                Public ReadOnly Property ExpenseDetails As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __ExpenseHeader, __ExpenseHeader.DetailsClass, Global.LightSwitchApplication.ExpenseDetail)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__ExpenseHeader.DetailsClass.PropertySetProperties.ExpenseDetails),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __ExpenseHeader, __ExpenseHeader.DetailsClass, Global.LightSwitchApplication.ExpenseDetail))
                    End Get
                End Property
                
            End Class
    
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            Public Interface IImplementation
                Inherits Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
                Shadows Property Id As Integer
                Shadows Property RowVersion As Byte()
                Shadows Property ExpenseDate As String
                Shadows ReadOnly Property ExpenseDetails As Global.System.Collections.IEnumerable
    
            End Interface
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Friend Class PropertySetProperties
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseHeader, __ExpenseHeader.DetailsClass, Integer).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseHeader, __ExpenseHeader.DetailsClass, Integer).Entry( _
                        "Id", _
                        AddressOf __ExpenseHeader.DetailsClass.PropertySetProperties._Id_Stub, _
                        AddressOf __ExpenseHeader.DetailsClass.PropertySetProperties._Id_ComputeIsReadOnly, _
                        AddressOf __ExpenseHeader.DetailsClass.PropertySetProperties._Id_Validate, _
                        AddressOf __ExpenseHeader.DetailsClass.PropertySetProperties._Id_GetImplementationValue, _
                        AddressOf __ExpenseHeader.DetailsClass.PropertySetProperties._Id_SetImplementationValue, _
                        AddressOf __ExpenseHeader.DetailsClass.PropertySetProperties._Id_OnValueChanged)
                Private Shared Sub _Id_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __ExpenseHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseHeader, __ExpenseHeader.DetailsClass, Integer).Data), d As __ExpenseHeader.DetailsClass, sf As Object)
                    c(d, d._Id, sf)
                End Sub
                Private Shared Function _Id_ComputeIsReadOnly(e As __ExpenseHeader) As Boolean
                    Dim result As Boolean = False
                    e.Id_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Id_Validate(e As __ExpenseHeader, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Id_Validate(r)
                End Sub
                Private Shared Function _Id_GetImplementationValue(d As __ExpenseHeader.DetailsClass) As Integer
                    Return d.ImplementationEntity.Id
                End Function
                Private Shared Sub _Id_SetImplementationValue(d As __ExpenseHeader.DetailsClass, v As Integer)
                    d.ImplementationEntity.Id = v
                End Sub
                Private Shared Sub _Id_OnValueChanged(e As __ExpenseHeader)
                    e.Id_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseHeader, __ExpenseHeader.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseHeader, __ExpenseHeader.DetailsClass, Byte()).Entry( _
                        "RowVersion", _
                        AddressOf __ExpenseHeader.DetailsClass.PropertySetProperties._RowVersion_Stub, _
                        AddressOf __ExpenseHeader.DetailsClass.PropertySetProperties._RowVersion_ComputeIsReadOnly, _
                        AddressOf __ExpenseHeader.DetailsClass.PropertySetProperties._RowVersion_Validate, _
                        AddressOf __ExpenseHeader.DetailsClass.PropertySetProperties._RowVersion_GetImplementationValue, _
                        AddressOf __ExpenseHeader.DetailsClass.PropertySetProperties._RowVersion_SetImplementationValue, _
                        AddressOf __ExpenseHeader.DetailsClass.PropertySetProperties._RowVersion_OnValueChanged)
                Private Shared Sub _RowVersion_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __ExpenseHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseHeader, __ExpenseHeader.DetailsClass, Byte()).Data), d As __ExpenseHeader.DetailsClass, sf As Object)
                    c(d, d._RowVersion, sf)
                End Sub
                Private Shared Function _RowVersion_ComputeIsReadOnly(e As __ExpenseHeader) As Boolean
                    Dim result As Boolean = False
                    e.RowVersion_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _RowVersion_Validate(e As __ExpenseHeader, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.RowVersion_Validate(r)
                End Sub
                Private Shared Function _RowVersion_GetImplementationValue(d As __ExpenseHeader.DetailsClass) As Byte()
                    Return d.ImplementationEntity.RowVersion
                End Function
                Private Shared Sub _RowVersion_SetImplementationValue(d As __ExpenseHeader.DetailsClass, v As Byte())
                    d.ImplementationEntity.RowVersion = v
                End Sub
                Private Shared Sub _RowVersion_OnValueChanged(e As __ExpenseHeader)
                    e.RowVersion_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly ExpenseDate As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseHeader, __ExpenseHeader.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseHeader, __ExpenseHeader.DetailsClass, String).Entry( _
                        "ExpenseDate", _
                        AddressOf __ExpenseHeader.DetailsClass.PropertySetProperties._ExpenseDate_Stub, _
                        AddressOf __ExpenseHeader.DetailsClass.PropertySetProperties._ExpenseDate_ComputeIsReadOnly, _
                        AddressOf __ExpenseHeader.DetailsClass.PropertySetProperties._ExpenseDate_Validate, _
                        AddressOf __ExpenseHeader.DetailsClass.PropertySetProperties._ExpenseDate_GetImplementationValue, _
                        AddressOf __ExpenseHeader.DetailsClass.PropertySetProperties._ExpenseDate_SetImplementationValue, _
                        AddressOf __ExpenseHeader.DetailsClass.PropertySetProperties._ExpenseDate_OnValueChanged)
                Private Shared Sub _ExpenseDate_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __ExpenseHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseHeader, __ExpenseHeader.DetailsClass, String).Data), d As __ExpenseHeader.DetailsClass, sf As Object)
                    c(d, d._ExpenseDate, sf)
                End Sub
                Private Shared Function _ExpenseDate_ComputeIsReadOnly(e As __ExpenseHeader) As Boolean
                    Dim result As Boolean = False
                    e.ExpenseDate_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _ExpenseDate_Validate(e As __ExpenseHeader, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.ExpenseDate_Validate(r)
                End Sub
                Private Shared Function _ExpenseDate_GetImplementationValue(d As __ExpenseHeader.DetailsClass) As String
                    Return d.ImplementationEntity.ExpenseDate
                End Function
                Private Shared Sub _ExpenseDate_SetImplementationValue(d As __ExpenseHeader.DetailsClass, v As String)
                    d.ImplementationEntity.ExpenseDate = v
                End Sub
                Private Shared Sub _ExpenseDate_OnValueChanged(e As __ExpenseHeader)
                    e.ExpenseDate_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly ExpensesTotal As Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __ExpenseHeader, __ExpenseHeader.DetailsClass, Decimal).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __ExpenseHeader, __ExpenseHeader.DetailsClass, Decimal).Entry( _
                        "ExpensesTotal", _
                        AddressOf __ExpenseHeader.DetailsClass.PropertySetProperties._ExpensesTotal_Stub, _
                        AddressOf __ExpenseHeader.DetailsClass.PropertySetProperties._ExpensesTotal_Validate, _
                        AddressOf __ExpenseHeader.DetailsClass.PropertySetProperties._ExpensesTotal_ComputeValue)
                Private Shared Sub _ExpensesTotal_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __ExpenseHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __ExpenseHeader, __ExpenseHeader.DetailsClass, Decimal).Data), d As __ExpenseHeader.DetailsClass, sf As Object)
                    c(d, d._ExpensesTotal, sf)
                End Sub
                Private Shared Sub _ExpensesTotal_Validate(e As __ExpenseHeader, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.ExpensesTotal_Validate(r)
                End Sub
                Private Shared Function _ExpensesTotal_ComputeValue(e As __ExpenseHeader) As Decimal
                    Dim value As Decimal = Nothing
                    e.ExpensesTotal_Compute(value)
                    Return value
                End Function
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly ExpenseDetails As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __ExpenseHeader, __ExpenseHeader.DetailsClass, Global.LightSwitchApplication.ExpenseDetail).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __ExpenseHeader, __ExpenseHeader.DetailsClass, Global.LightSwitchApplication.ExpenseDetail).Entry( _
                        "ExpenseDetails", _
                        AddressOf __ExpenseHeader.DetailsClass.PropertySetProperties._ExpenseDetails_Stub, _
                        AddressOf __ExpenseHeader.DetailsClass.PropertySetProperties._ExpenseDetails_GetReferencedEntities, _
                        AddressOf __ExpenseHeader.DetailsClass.PropertySetProperties._ExpenseDetails_GetEntityCollection)
                Private Shared Sub _ExpenseDetails_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __ExpenseHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __ExpenseHeader, __ExpenseHeader.DetailsClass, Global.LightSwitchApplication.ExpenseDetail).Data), d As __ExpenseHeader.DetailsClass, sf As Object)
                    c(d, d._ExpenseDetails, sf)
                End Sub
                Private Shared Function _ExpenseDetails_GetReferencedEntities(d As __ExpenseHeader.DetailsClass) As Global.System.Collections.Generic.IEnumerable(Of Global.LightSwitchApplication.ExpenseDetail)
                    Return d.GetReferencedEntities(Of Global.LightSwitchApplication.ExpenseDetail, Global.LightSwitchApplication.ExpenseDetail.DetailsClass)(__ExpenseHeader.DetailsClass.PropertySetProperties.ExpenseDetails, d._ExpenseDetails)
                End Function
                Private Shared Function _ExpenseDetails_GetEntityCollection(d As __ExpenseHeader.DetailsClass) As Global.System.Collections.IEnumerable
                    Return d.ImplementationEntity.ExpenseDetails
                End Function
    
            End Class
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseHeader, __ExpenseHeader.DetailsClass, Integer).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseHeader, __ExpenseHeader.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _ExpenseDate As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __ExpenseHeader, __ExpenseHeader.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _ExpensesTotal As Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __ExpenseHeader, __ExpenseHeader.DetailsClass, Decimal).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _ExpenseDetails As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __ExpenseHeader, __ExpenseHeader.DetailsClass, Global.LightSwitchApplication.ExpenseDetail).Data
            
        End Class
    
        #End Region
    
    End Class
    
    #End Region
End Namespace
